## Settings

Settings — Sharing settings between applications

## Functions

GtkSettings * | gtk_settings_get_default ()
GtkSettings * | gtk_settings_get_for_screen ()
void | gtk_settings_install_property ()
void | gtk_settings_install_property_parser ()
gboolean | gtk_rc_property_parse_color ()
gboolean | gtk_rc_property_parse_enum ()
gboolean | gtk_rc_property_parse_flags ()
gboolean | gtk_rc_property_parse_requisition ()
gboolean | gtk_rc_property_parse_border ()
void | gtk_settings_set_property_value ()
void | gtk_settings_set_string_property ()
void | gtk_settings_set_long_property ()
void | gtk_settings_set_double_property ()
void | gtk_settings_reset_property ()

## Properties

GHashTable * | color-hash | Read
gboolean | gtk-alternative-button-order | Read / Write
gboolean | gtk-alternative-sort-arrows | Read / Write
gboolean | gtk-application-prefer-dark-theme | Read / Write
gboolean | gtk-auto-mnemonics | Read / Write
gboolean | gtk-button-images | Read / Write
gboolean | gtk-can-change-accels | Read / Write
gchar * | gtk-color-palette | Read / Write
gchar * | gtk-color-scheme | Read / Write
gfloat | gtk-cursor-aspect-ratio | Read / Write
gboolean | gtk-cursor-blink | Read / Write
gint | gtk-cursor-blink-time | Read / Write
gint | gtk-cursor-blink-timeout | Read / Write
gchar * | gtk-cursor-theme-name | Read / Write
gint | gtk-cursor-theme-size | Read / Write
gchar * | gtk-decoration-layout | Read / Write
gboolean | gtk-dialogs-use-header | Read / Write
gint | gtk-dnd-drag-threshold | Read / Write
gint | gtk-double-click-distance | Read / Write
gint | gtk-double-click-time | Read / Write
gboolean | gtk-enable-accels | Read / Write
gboolean | gtk-enable-animations | Read / Write
gboolean | gtk-enable-event-sounds | Read / Write
gboolean | gtk-enable-input-feedback-sounds | Read / Write
gboolean | gtk-enable-mnemonics | Read / Write
gboolean | gtk-enable-primary-paste | Read / Write
gboolean | gtk-enable-tooltips | Read / Write
guint | gtk-entry-password-hint-timeout | Read / Write
gboolean | gtk-entry-select-on-focus | Read / Write
gboolean | gtk-error-bell | Read / Write
gchar * | gtk-fallback-icon-theme | Read / Write
gchar * | gtk-file-chooser-backend | Read / Write
gchar * | gtk-font-name | Read / Write
guint | gtk-fontconfig-timestamp | Read / Write
gchar * | gtk-icon-sizes | Read / Write
gchar * | gtk-icon-theme-name | Read / Write
gchar * | gtk-im-module | Read / Write
GtkIMPreeditStyle | gtk-im-preedit-style | Read / Write
GtkIMStatusStyle | gtk-im-status-style | Read / Write
gchar * | gtk-key-theme-name | Read / Write
gboolean | gtk-keynav-cursor-only | Read / Write
gboolean | gtk-keynav-use-caret | Read / Write
gboolean | gtk-keynav-wrap-around | Read / Write
gboolean | gtk-label-select-on-focus | Read / Write
guint | gtk-long-press-time | Read / Write
gchar * | gtk-menu-bar-accel | Read / Write
gint | gtk-menu-bar-popup-delay | Read / Write
gboolean | gtk-menu-images | Read / Write
gint | gtk-menu-popdown-delay | Read / Write
gint | gtk-menu-popup-delay | Read / Write
gchar * | gtk-modules | Read / Write
gboolean | gtk-overlay-scrolling | Read / Write
gboolean | gtk-primary-button-warps-slider | Read / Write
gchar * | gtk-print-backends | Read / Write
gchar * | gtk-print-preview-command | Read / Write
gboolean | gtk-recent-files-enabled | Read / Write
gint | gtk-recent-files-limit | Read / Write
gint | gtk-recent-files-max-age | Read / Write
GtkCornerType | gtk-scrolled-window-placement | Read / Write
gboolean | gtk-shell-shows-app-menu | Read / Write
gboolean | gtk-shell-shows-desktop | Read / Write
gboolean | gtk-shell-shows-menubar | Read / Write
gboolean | gtk-show-input-method-menu | Read / Write
gboolean | gtk-show-unicode-menu | Read / Write
gchar * | gtk-sound-theme-name | Read / Write
gboolean | gtk-split-cursor | Read / Write
gchar * | gtk-theme-name | Read / Write
gint | gtk-timeout-expand | Read / Write
gint | gtk-timeout-initial | Read / Write
gint | gtk-timeout-repeat | Read / Write
gchar * | gtk-titlebar-double-click | Read / Write
gchar * | gtk-titlebar-middle-click | Read / Write
gchar * | gtk-titlebar-right-click | Read / Write
GtkIconSize | gtk-toolbar-icon-size | Read / Write
GtkToolbarStyle | gtk-toolbar-style | Read / Write
gint | gtk-tooltip-browse-mode-timeout | Read / Write
gint | gtk-tooltip-browse-timeout | Read / Write
gint | gtk-tooltip-timeout | Read / Write
gboolean | gtk-touchscreen-mode | Read / Write
GtkPolicyType | gtk-visible-focus | Read / Write
gint | gtk-xft-antialias | Read / Write
gint | gtk-xft-dpi | Read / Write
gint | gtk-xft-hinting | Read / Write
gchar * | gtk-xft-hintstyle | Read / Write
gchar * | gtk-xft-rgba | Read / Write

## Types and Values

| GtkSettings
struct | GtkSettingsValue
enum | GtkIMPreeditStyle
enum | GtkIMStatusStyle

## Object Hierarchy

        GObject
        ╰── GtkSettings

## Implemented Interfaces

GtkSettings implements GtkStyleProvider and GtkStyleProviderPrivate.

## Includes

    #include <gtk/gtk.h>

## Description

GtkSettings provide a mechanism to share global settings between applications.

On the X window system, this sharing is realized by an XSettings manager that is usually part of the desktop environment, along with utilities that let the user change these settings. In the absence of an Xsettings manager, GTK+ reads default values for settings from `settings.ini` files in `/etc/gtk-3.0`, `$XDG_CONFIG_DIRS/gtk-3.0` and `$XDG_CONFIG_HOME/gtk-3.0`. These files must be valid key files (see GKeyFile), and have a section called Settings. Themes can also provide default values for settings by installing a `settings.ini` file next to their `gtk.css` file.

Applications can override system-wide settings by setting the property of the GtkSettings object with `g_object_set()`. This should be restricted to special cases though; GtkSettings are not meant as an application configuration facility. When doing so, you need to be aware that settings that are specific to individual widgets may not be available before the widget type has been realized at least once. The following example demonstrates a way to do this:

    1
    2
    3
    4
    5
    6

    gtk_init (&argc, &argv);

    // make sure the type is realized
    g_type_class_unref (g_type_class_ref (GTK_TYPE_IMAGE_MENU_ITEM));

    g_object_set (gtk_settings_get_default (), "gtk-enable-animations", FALSE, NULL);

There is one GtkSettings instance per screen. It can be obtained with `gtk_settings_get_for_screen()`, but in many cases, it is more convenient to use `gtk_widget_get_settings()`. `gtk_settings_get_default()` returns the GtkSettings instance for the default screen.

## Functions

### gtk_settings_get_default ()

    GtkSettings *
    gtk_settings_get_default (void);

Gets the GtkSettings object for the default GDK screen, creating it if necessary. See `gtk_settings_get_for_screen()`.

#### Returns

a GtkSettings object. If there is no default screen, then returns `NULL`.

[nullable][transfer none]

### gtk_settings_get_for_screen ()

    GtkSettings *
    gtk_settings_get_for_screen (GdkScreen *screen);

Gets the GtkSettings object for `screen` , creating it if necessary.

#### Parameters

screen | a GdkScreen. |

#### Returns

a GtkSettings object.

[transfer none]

Since: 2.2

### gtk_settings_install_property ()

    void
    gtk_settings_install_property (GParamSpec *pspec);

`gtk_settings_install_property` has been deprecated since version 3.16 and should not be used in newly-written code.

This function is not useful outside GTK+.

### gtk_settings_install_property_parser ()

    void
    gtk_settings_install_property_parser (GParamSpec *pspec,
                                          GtkRcPropertyParser parser);

`gtk_settings_install_property_parser` has been deprecated since version 3.16 and should not be used in newly-written code.

This function is not useful outside GTK+.

#### Parameters

parser | . | [scope call]

### gtk_rc_property_parse_color ()

    gboolean
    gtk_rc_property_parse_color (const GParamSpec *pspec,
                                 const GString *gstring,
                                 GValue *property_value);

A GtkRcPropertyParser for use with `gtk_settings_install_property_parser()` or `gtk_widget_class_install_style_property_parser()` which parses a color given either by its name or in the form `{ red, green, blue }` where red, green and blue are integers between 0 and 65535 or floating-point numbers between 0 and 1.

#### Parameters

pspec | a GParamSpec |
gstring | the GString to be parsed |
property_value | a GValue which must hold GdkColor values. |

#### Returns

`TRUE` if `gstring` could be parsed and `property_value` has been set to the resulting GdkColor.

### gtk_rc_property_parse_enum ()

    gboolean
    gtk_rc_property_parse_enum (const GParamSpec *pspec,
                                const GString *gstring,
                                GValue *property_value);

A GtkRcPropertyParser for use with `gtk_settings_install_property_parser()` or `gtk_widget_class_install_style_property_parser()` which parses a single enumeration value.

The enumeration value can be specified by its name, its nickname or its numeric value. For consistency with flags parsing, the value may be surrounded by parentheses.

#### Parameters

pspec | a GParamSpec |
gstring | the GString to be parsed |
property_value | a GValue which must hold enum values. |

#### Returns

`TRUE` if `gstring` could be parsed and `property_value` has been set to the resulting GEnumValue.

### gtk_rc_property_parse_flags ()

    gboolean
    gtk_rc_property_parse_flags (const GParamSpec *pspec,
                                 const GString *gstring,
                                 GValue *property_value);

A GtkRcPropertyParser for use with `gtk_settings_install_property_parser()` or `gtk_widget_class_install_style_property_parser()` which parses flags.

Flags can be specified by their name, their nickname or numerically. Multiple flags can be specified in the form `"( flag1 | flag2 | ... )"`.

#### Parameters

pspec | a GParamSpec |
gstring | the GString to be parsed |
property_value | a GValue which must hold flags values. |

#### Returns

`TRUE` if `gstring` could be parsed and `property_value` has been set to the resulting flags value.

### gtk_rc_property_parse_requisition ()

    gboolean
    gtk_rc_property_parse_requisition (const GParamSpec *pspec,
                                       const GString *gstring,
                                       GValue *property_value);

A GtkRcPropertyParser for use with `gtk_settings_install_property_parser()` or `gtk_widget_class_install_style_property_parser()` which parses a requisition in the form `"{ width, height }"` for integers `width` and `height`.

#### Parameters

pspec | a GParamSpec |
gstring | the GString to be parsed |
property_value | a GValue which must hold boxed values. |

#### Returns

`TRUE` if `gstring` could be parsed and `property_value` has been set to the resulting GtkRequisition.

### gtk_rc_property_parse_border ()

    gboolean
    gtk_rc_property_parse_border (const GParamSpec *pspec,
                                  const GString *gstring,
                                  GValue *property_value);

A GtkRcPropertyParser for use with `gtk_settings_install_property_parser()` or `gtk_widget_class_install_style_property_parser()` which parses borders in the form `"{ left, right, top, bottom }"` for integers left, right, top and bottom.

#### Parameters

pspec | a GParamSpec |
gstring | the GString to be parsed |
property_value | a GValue which must hold boxed values. |

#### Returns

`TRUE` if `gstring` could be parsed and `property_value` has been set to the resulting GtkBorder.

### gtk_settings_set_property_value ()

    void
    gtk_settings_set_property_value (GtkSettings *settings,
                                     const gchar *name,
                                     const GtkSettingsValue *svalue);

`gtk_settings_set_property_value` has been deprecated since version 3.16 and should not be used in newly-written code.

Use `g_object_set()` instead.

### gtk_settings_set_string_property ()

    void
    gtk_settings_set_string_property (GtkSettings *settings,
                                      const gchar *name,
                                      const gchar *v_string,
                                      const gchar *origin);

`gtk_settings_set_string_property` has been deprecated since version 3.16 and should not be used in newly-written code.

Use `g_object_set()` instead.

### gtk_settings_set_long_property ()

    void
    gtk_settings_set_long_property (GtkSettings *settings,
                                    const gchar *name,
                                    glong v_long,
                                    const gchar *origin);

`gtk_settings_set_long_property` has been deprecated since version 3.16 and should not be used in newly-written code.

Use `g_object_set()` instead.

### gtk_settings_set_double_property ()

    void
    gtk_settings_set_double_property (GtkSettings *settings,
                                      const gchar *name,
                                      gdouble v_double,
                                      const gchar *origin);

`gtk_settings_set_double_property` has been deprecated since version 3.16 and should not be used in newly-written code.

Use `g_object_set()` instead.

### gtk_settings_reset_property ()

    void
    gtk_settings_reset_property (GtkSettings *settings,
                                 const gchar *name);

Undoes the effect of calling `g_object_set()` to install an application-specific value for a setting. After this call, the setting will again follow the session-wide value for this setting.

#### Parameters

settings | a GtkSettings object |
name | the name of the setting to reset |

Since: 3.20

## Types and Values

### GtkSettings

    typedef struct _GtkSettings GtkSettings;

### struct GtkSettingsValue

    struct GtkSettingsValue {
      /* origin should be something like "filename:linenumber" for rc files,
       * or e.g. "XProperty" for other sources
       */
      gchar *origin;

      /* valid types are LONG, DOUBLE and STRING corresponding to the token parsed,
       * or a GSTRING holding an unparsed statement
       */
      GValue value;
    };

#### Members

gchar *`origin`; | Origin should be something like “filename:linenumber” for rc files, or e.g. “XProperty” for other sources. |
GValue `value`; | Valid types are LONG, DOUBLE and STRING corresponding to the token parsed, or a GSTRING holding an unparsed statement |

### enum GtkIMPreeditStyle

`GtkIMPreeditStyle` has been deprecated since version 3.10 and should not be used in newly-written code.

Style for input method preedit. See also “gtk-im-preedit-style”

#### Members

GTK_IM_PREEDIT_NOTHING | Deprecated |
GTK_IM_PREEDIT_CALLBACK | Deprecated |
GTK_IM_PREEDIT_NONE | Deprecated |

### enum GtkIMStatusStyle

`GtkIMStatusStyle` has been deprecated since version 3.10 and should not be used in newly-written code.

Style for input method status. See also “gtk-im-status-style”

#### Members

GTK_IM_STATUS_NOTHING | Deprecated |
GTK_IM_STATUS_CALLBACK | Deprecated |
GTK_IM_STATUS_NONE | Deprecated |

## Property Details

### The `“color-hash”` property

      “color-hash”               GHashTable *

Holds a hash table representation of the “gtk-color-scheme” setting, mapping color names to GdkColors.

[transfer container]

`GtkSettings:color-hash` has been deprecated since version 3.8 and should not be used in newly-written code.

Will always return an empty hash table.

Owner: GtkSettings

Flags: Read

Since: 2.10

### The `“gtk-alternative-button-order”` property

      “gtk-alternative-button-order” gboolean

Whether buttons in dialogs should use the alternative button order.

Owner: GtkSettings

Flags: Read / Write

Default value: FALSE

### The `“gtk-alternative-sort-arrows”` property

      “gtk-alternative-sort-arrows” gboolean

Controls the direction of the sort indicators in sorted list and tree views. By default an arrow pointing down means the column is sorted in ascending order. When set to `TRUE`, this order will be inverted.

Owner: GtkSettings

Flags: Read / Write

Default value: FALSE

Since: 2.12

### The `“gtk-application-prefer-dark-theme”` property

      “gtk-application-prefer-dark-theme” gboolean

Whether the application prefers to use a dark theme. If a GTK+ theme includes a dark variant, it will be used instead of the configured theme.

Some applications benefit from minimizing the amount of light pollution that interferes with the content. Good candidates for dark themes are photo and video editors that make the actual content get all the attention and minimize the distraction of the chrome.

Dark themes should not be used for documents, where large spaces are white/light and the dark chrome creates too much contrast (web browser, text editor...).

Owner: GtkSettings

Flags: Read / Write

Default value: FALSE

Since: 3.0

### The `“gtk-auto-mnemonics”` property

      “gtk-auto-mnemonics”       gboolean

Whether mnemonics should be automatically shown and hidden when the user presses the mnemonic activator.

`GtkSettings:gtk-auto-mnemonics` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored

Owner: GtkSettings

Flags: Read / Write

Default value: TRUE

Since: 2.20

### The `“gtk-button-images”` property

      “gtk-button-images”        gboolean

Whether images should be shown on buttons

`GtkSettings:gtk-button-images` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is deprecated. Application developers control whether a button should show an icon or not, on a per-button basis. If a GtkButton should show an icon, use the “always-show-image” property of GtkButton, and pack a GtkImage inside the GtkButton

Owner: GtkSettings

Flags: Read / Write

Default value: FALSE

Since: 2.4

### The `“gtk-can-change-accels”` property

      “gtk-can-change-accels”    gboolean

Whether menu accelerators can be changed by pressing a key over the menu item.

`GtkSettings:gtk-can-change-accels` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Default value: FALSE

### The `“gtk-color-palette”` property

      “gtk-color-palette”        gchar *

Palette to use in the deprecated color selector.

`GtkSettings:gtk-color-palette` has been deprecated since version 3.10 and should not be used in newly-written code.

Only used by the deprecated color selector widget.

Owner: GtkSettings

Flags: Read / Write

Default value: "black:white:gray50:red:purple:blue:light blue:green:yellow:orange:lavender:brown:goldenrod4:dodger blue:pink:light green:gray10:gray30:gray75:gray90"

### The `“gtk-color-scheme”` property

      “gtk-color-scheme”         gchar *

A palette of named colors for use in themes. The format of the string is

    1
    2
    3

    name1: color1
    name2: color2
    ...

Color names must be acceptable as identifiers in the gtkrc syntax, and color specifications must be in the format accepted by `gdk_color_parse()`.

Note that due to the way the color tables from different sources are merged, color specifications will be converted to hexadecimal form when getting this property.

Starting with GTK+ 2.12, the entries can alternatively be separated by ';' instead of newlines:

    1

    name1: color1; name2: color2; ...

`GtkSettings:gtk-color-scheme` has been deprecated since version 3.8 and should not be used in newly-written code.

Color scheme support was dropped and is no longer supported. You can still set this property, but it will be ignored.

Owner: GtkSettings

Flags: Read / Write

Default value: ""

Since: 2.10

### The `“gtk-cursor-aspect-ratio”` property

      “gtk-cursor-aspect-ratio”  gfloat

The aspect ratio of the text caret.

Owner: GtkSettings

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.04

### The `“gtk-cursor-blink”` property

      “gtk-cursor-blink”         gboolean

Whether the cursor should blink.

Also see the “gtk-cursor-blink-timeout” setting, which allows more flexible control over cursor blinking.

Owner: GtkSettings

Flags: Read / Write

Default value: TRUE

### The `“gtk-cursor-blink-time”` property

      “gtk-cursor-blink-time”    gint

Length of the cursor blink cycle, in milliseconds.

Owner: GtkSettings

Flags: Read / Write

Allowed values: >= 100

Default value: 1200

### The `“gtk-cursor-blink-timeout”` property

      “gtk-cursor-blink-timeout” gint

Time after which the cursor stops blinking, in seconds. The timer is reset after each user interaction.

Setting this to zero has the same effect as setting “gtk-cursor-blink” to `FALSE`.

Owner: GtkSettings

Flags: Read / Write

Allowed values: >= 1

Default value: 10

Since: 2.12

### The `“gtk-cursor-theme-name”` property

      “gtk-cursor-theme-name”    gchar *

Name of the cursor theme to use, or NULL to use the default theme.

Owner: GtkSettings

Flags: Read / Write

Default value: NULL

### The `“gtk-cursor-theme-size”` property

      “gtk-cursor-theme-size”    gint

Size to use for cursors, or 0 to use the default size.

Owner: GtkSettings

Flags: Read / Write

Allowed values: [0,128]

Default value: 0

### The `“gtk-decoration-layout”` property

      “gtk-decoration-layout”    gchar *

This setting determines which buttons should be put in the titlebar of client-side decorated windows, and whether they should be placed at the left of right.

The format of the string is button names, separated by commas. A colon separates the buttons that should appear on the left from those on the right. Recognized button names are minimize, maximize, close, icon (the window icon) and menu (a menu button for the fallback app menu).

For example, "menu:minimize,maximize,close" specifies a menu on the left, and minimize, maximize and close buttons on the right.

Note that buttons will only be shown when they are meaningful. E.g. a menu button only appears when the desktop shell does not show the app menu, and a close button only appears on a window that can be closed.

Also note that the setting can be overridden with the “decoration-layout” property.

Owner: GtkSettings

Flags: Read / Write

Default value: "menu:minimize,maximize,close"

Since: 3.12

### The `“gtk-dialogs-use-header”` property

      “gtk-dialogs-use-header”   gboolean

Whether builtin GTK+ dialogs such as the file chooser, the color chooser or the font chooser will use a header bar at the top to show action widgets, or an action area at the bottom.

This setting does not affect custom dialogs using GtkDialog directly, or message dialogs.

Owner: GtkSettings

Flags: Read / Write

Default value: FALSE

Since: 3.12

### The `“gtk-dnd-drag-threshold”` property

      “gtk-dnd-drag-threshold”   gint

Number of pixels the cursor can move before dragging.

Owner: GtkSettings

Flags: Read / Write

Allowed values: >= 1

Default value: 8

### The `“gtk-double-click-distance”` property

      “gtk-double-click-distance” gint

Maximum distance allowed between two clicks for them to be considered a double click (in pixels).

Owner: GtkSettings

Flags: Read / Write

Allowed values: >= 0

Default value: 5

### The `“gtk-double-click-time”` property

      “gtk-double-click-time”    gint

Maximum time allowed between two clicks for them to be considered a double click (in milliseconds).

Owner: GtkSettings

Flags: Read / Write

Allowed values: >= 0

Default value: 400

### The `“gtk-enable-accels”` property

      “gtk-enable-accels”        gboolean

Whether menu items should have visible accelerators which can be activated.

Owner: GtkSettings

Flags: Read / Write

Default value: TRUE

Since: 2.12

### The `“gtk-enable-animations”` property

      “gtk-enable-animations”    gboolean

Whether to enable toolkit-wide animations.

Owner: GtkSettings

Flags: Read / Write

Default value: TRUE

### The `“gtk-enable-event-sounds”` property

      “gtk-enable-event-sounds”  gboolean

Whether to play any event sounds at all.

See the Sound Theme Specifications for more information on event sounds and sound themes.

GTK+ itself does not support event sounds, you have to use a loadable module like the one that comes with libcanberra.

Owner: GtkSettings

Flags: Read / Write

Default value: TRUE

Since: 2.14

### The `“gtk-enable-input-feedback-sounds”` property

      “gtk-enable-input-feedback-sounds” gboolean

Whether to play event sounds as feedback to user input.

See the Sound Theme Specifications for more information on event sounds and sound themes.

GTK+ itself does not support event sounds, you have to use a loadable module like the one that comes with libcanberra.

Owner: GtkSettings

Flags: Read / Write

Default value: TRUE

Since: 2.14

### The `“gtk-enable-mnemonics”` property

      “gtk-enable-mnemonics”     gboolean

Whether labels and menu items should have visible mnemonics which can be activated.

`GtkSettings:gtk-enable-mnemonics` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting can still be used for application overrides, but will be ignored in the future

Owner: GtkSettings

Flags: Read / Write

Default value: TRUE

Since: 2.12

### The `“gtk-enable-primary-paste”` property

      “gtk-enable-primary-paste” gboolean

Whether a middle click on a mouse should paste the 'PRIMARY' clipboard content at the cursor location.

Owner: GtkSettings

Flags: Read / Write

Default value: TRUE

Since: 3.4

### The `“gtk-enable-tooltips”` property

      “gtk-enable-tooltips”      gboolean

Whether tooltips should be shown on widgets.

`GtkSettings:gtk-enable-tooltips` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Default value: TRUE

Since: 2.14

### The `“gtk-entry-password-hint-timeout”` property

      “gtk-entry-password-hint-timeout” guint

How long to show the last input character in hidden entries. This value is in milliseconds. 0 disables showing the last char. 600 is a good value for enabling it.

Owner: GtkSettings

Flags: Read / Write

Default value: 0

Since: 2.10

### The `“gtk-entry-select-on-focus”` property

      “gtk-entry-select-on-focus” gboolean

Whether to select the contents of an entry when it is focused.

Owner: GtkSettings

Flags: Read / Write

Default value: TRUE

### The `“gtk-error-bell”` property

      “gtk-error-bell”           gboolean

When `TRUE`, keyboard navigation and other input-related errors will cause a beep. Since the error bell is implemented using `gdk_window_beep()`, the windowing system may offer ways to configure the error bell in many ways, such as flashing the window or similar visual effects.

Owner: GtkSettings

Flags: Read / Write

Default value: TRUE

Since: 2.12

### The `“gtk-fallback-icon-theme”` property

      “gtk-fallback-icon-theme”  gchar *

Name of a icon theme to fall back to.

`GtkSettings:gtk-fallback-icon-theme` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Default value: NULL

### The `“gtk-file-chooser-backend”` property

      “gtk-file-chooser-backend” gchar *

Name of the GtkFileChooser backend to use by default.

`GtkSettings:gtk-file-chooser-backend` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored. GtkFileChooser uses GIO by default.

Owner: GtkSettings

Flags: Read / Write

Default value: NULL

### The `“gtk-font-name”` property

      “gtk-font-name”            gchar *

The default font to use. GTK+ uses the family name and size from this string.

Owner: GtkSettings

Flags: Read / Write

Default value: "Sans 10"

### The `“gtk-fontconfig-timestamp”` property

      “gtk-fontconfig-timestamp” guint

Timestamp of current fontconfig configuration.

Owner: GtkSettings

Flags: Read / Write

Default value: 0

### The `“gtk-icon-sizes”` property

      “gtk-icon-sizes”           gchar *

A list of icon sizes. The list is separated by colons, and item has the form:

`size-name` = `width` , `height`

E.g. "gtk-menu=16,16:gtk-button=20,20:gtk-dialog=48,48". GTK+ itself use the following named icon sizes: gtk-menu, gtk-button, gtk-small-toolbar, gtk-large-toolbar, gtk-dnd, gtk-dialog. Applications can register their own named icon sizes with `gtk_icon_size_register()`.

`GtkSettings:gtk-icon-sizes` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Default value: NULL

### The `“gtk-icon-theme-name”` property

      “gtk-icon-theme-name”      gchar *

Name of icon theme to use.

Owner: GtkSettings

Flags: Read / Write

Default value: "Adwaita"

### The `“gtk-im-module”` property

      “gtk-im-module”            gchar *

Which IM (input method) module should be used by default. This is the input method that will be used if the user has not explicitly chosen another input method from the IM context menu. This also can be a colon-separated list of input methods, which GTK+ will try in turn until it finds one available on the system.

See GtkIMContext.

Owner: GtkSettings

Flags: Read / Write

Default value: NULL

### The `“gtk-im-preedit-style”` property

      “gtk-im-preedit-style”     GtkIMPreeditStyle

How to draw the input method preedit string.

`GtkSettings:gtk-im-preedit-style` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Default value: GTK_IM_PREEDIT_CALLBACK

### The `“gtk-im-status-style”` property

      “gtk-im-status-style”      GtkIMStatusStyle

How to draw the input method statusbar.

`GtkSettings:gtk-im-status-style` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Default value: GTK_IM_STATUS_CALLBACK

### The `“gtk-key-theme-name”` property

      “gtk-key-theme-name”       gchar *

Name of key theme to load.

Owner: GtkSettings

Flags: Read / Write

Default value: NULL

### The `“gtk-keynav-cursor-only”` property

      “gtk-keynav-cursor-only”   gboolean

When `TRUE`, keyboard navigation should be able to reach all widgets by using the cursor keys only. Tab, Shift etc. keys can't be expected to be present on the used input device.

`GtkSettings:gtk-keynav-cursor-only` has been deprecated since version 3.10 and should not be used in newly-written code.

Generally, the behavior for touchscreen input should be performed dynamically based on `gdk_event_get_source_device()`.

Owner: GtkSettings

Flags: Read / Write

Default value: FALSE

Since: 2.12

### The `“gtk-keynav-use-caret”` property

      “gtk-keynav-use-caret”     gboolean

Whether GTK+ should make sure that text can be navigated with a caret, even if it is not editable. This is useful when using a screen reader.

Owner: GtkSettings

Flags: Read / Write

Default value: FALSE

Since: 3.20

### The `“gtk-keynav-wrap-around”` property

      “gtk-keynav-wrap-around”   gboolean

When `TRUE`, some widgets will wrap around when doing keyboard navigation, such as menus, menubars and notebooks.

`GtkSettings:gtk-keynav-wrap-around` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Default value: TRUE

Since: 2.12

### The `“gtk-label-select-on-focus”` property

      “gtk-label-select-on-focus” gboolean

Whether to select the contents of a selectable label when it is focused.

Owner: GtkSettings

Flags: Read / Write

Default value: TRUE

### The `“gtk-long-press-time”` property

      “gtk-long-press-time”      guint

The time for a button or touch press to be considered a "long press".

Owner: GtkSettings

Flags: Read / Write

Allowed values: <= G_MAXINT

Default value: 500

Since: 3.14

### The `“gtk-menu-bar-accel”` property

      “gtk-menu-bar-accel”       gchar *

Keybinding to activate the menu bar.

`GtkSettings:gtk-menu-bar-accel` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting can still be used for application overrides, but will be ignored in the future

Owner: GtkSettings

Flags: Read / Write

Default value: "F10"

### The `“gtk-menu-bar-popup-delay”` property

      “gtk-menu-bar-popup-delay” gint

Delay before the submenus of a menu bar appear.

`GtkSettings:gtk-menu-bar-popup-delay` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“gtk-menu-images”` property

      “gtk-menu-images”          gboolean

Whether images should be shown in menu items

`GtkSettings:gtk-menu-images` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is deprecated. Application developers control whether or not a GtkMenuItem should have an icon or not, on a per widget basis. Either use a GtkMenuItem with a GtkBox containing a GtkImage and a GtkAccelLabel, or describe your menus using a GMenu XML description

Owner: GtkSettings

Flags: Read / Write

Default value: FALSE

### The `“gtk-menu-popdown-delay”` property

      “gtk-menu-popdown-delay”   gint

The time before hiding a submenu when the pointer is moving towards the submenu.

`GtkSettings:gtk-menu-popdown-delay` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Allowed values: >= 0

Default value: 1000

### The `“gtk-menu-popup-delay”` property

      “gtk-menu-popup-delay”     gint

Minimum time the pointer must stay over a menu item before the submenu appear.

`GtkSettings:gtk-menu-popup-delay` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Allowed values: >= 0

Default value: 225

### The `“gtk-modules”` property

      “gtk-modules”              gchar *

List of currently active GTK modules.

Owner: GtkSettings

Flags: Read / Write

Default value: NULL

### The `“gtk-overlay-scrolling”` property

      “gtk-overlay-scrolling”    gboolean

Whether scrolled windows may use overlayed scrolling indicators. If this is set to `FALSE`, scrolled windows will have permanent scrollbars.

Owner: GtkSettings

Flags: Read / Write

Default value: TRUE

Since: 3.24.9

### The `“gtk-primary-button-warps-slider”` property

      “gtk-primary-button-warps-slider” gboolean

If the value of this setting is `TRUE`, clicking the primary button in a GtkRange trough will move the slider, and hence set the range’s value, to the point that you clicked. If it is `FALSE`, a primary click will cause the slider/value to move by the range’s page-size towards the point clicked.

Whichever action you choose for the primary button, the other action will be available by holding Shift and primary-clicking, or (since GTK+ 3.22.25) clicking the middle mouse button.

Owner: GtkSettings

Flags: Read / Write

Default value: TRUE

Since: 3.6

### The `“gtk-print-backends”` property

      “gtk-print-backends”       gchar *

A comma-separated list of print backends to use in the print dialog. Available print backends depend on the GTK+ installation, and may include "file", "cups", "lpr" or "papi".

Owner: GtkSettings

Flags: Read / Write

Default value: "file,lpr,test,cups"

Since: 2.10

### The `“gtk-print-preview-command”` property

      “gtk-print-preview-command” gchar *

A command to run for displaying the print preview. The command should contain a `%f` placeholder, which will get replaced by the path to the pdf file. The command may also contain a `%s` placeholder, which will get replaced by the path to a file containing the print settings in the format produced by `gtk_print_settings_to_file()`.

The preview application is responsible for removing the pdf file and the print settings file when it is done.

Owner: GtkSettings

Flags: Read / Write

Default value: "evince --unlink-tempfile --preview --print-settings %s %f"

Since: 2.10

### The `“gtk-recent-files-enabled”` property

      “gtk-recent-files-enabled” gboolean

Whether GTK+ should keep track of items inside the recently used resources list. If set to `FALSE`, the list will always be empty.

Owner: GtkSettings

Flags: Read / Write

Default value: TRUE

Since: 3.8

### The `“gtk-recent-files-limit”` property

      “gtk-recent-files-limit”   gint

The number of recently used files that should be displayed by default by GtkRecentChooser implementations and by the GtkFileChooser. A value of -1 means every recently used file stored.

`GtkSettings:gtk-recent-files-limit` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored

Owner: GtkSettings

Flags: Read / Write

Allowed values: >= -1

Default value: 50

Since: 2.12

### The `“gtk-recent-files-max-age”` property

      “gtk-recent-files-max-age” gint

The maximum age, in days, of the items inside the recently used resources list. Items older than this setting will be excised from the list. If set to 0, the list will always be empty; if set to -1, no item will be removed.

Owner: GtkSettings

Flags: Read / Write

Allowed values: >= -1

Default value: 30

Since: 2.14

### The `“gtk-scrolled-window-placement”` property

      “gtk-scrolled-window-placement” GtkCornerType

Where the contents of scrolled windows are located with respect to the scrollbars, if not overridden by the scrolled window's own placement.

`GtkSettings:gtk-scrolled-window-placement` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Default value: GTK_CORNER_TOP_LEFT

Since: 2.10

### The `“gtk-shell-shows-app-menu”` property

      “gtk-shell-shows-app-menu” gboolean

Set to TRUE if the desktop environment is displaying the app menu, FALSE if the app should display it itself.

Owner: GtkSettings

Flags: Read / Write

Default value: FALSE

### The `“gtk-shell-shows-desktop”` property

      “gtk-shell-shows-desktop”  gboolean

Set to TRUE if the desktop environment is displaying the desktop folder, FALSE if not.

Owner: GtkSettings

Flags: Read / Write

Default value: TRUE

### The `“gtk-shell-shows-menubar”` property

      “gtk-shell-shows-menubar”  gboolean

Set to TRUE if the desktop environment is displaying the menubar, FALSE if the app should display it itself.

Owner: GtkSettings

Flags: Read / Write

Default value: FALSE

### The `“gtk-show-input-method-menu”` property

      “gtk-show-input-method-menu” gboolean

Whether the context menus of entries and text views should offer to change the input method.

`GtkSettings:gtk-show-input-method-menu` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Default value: FALSE

### The `“gtk-show-unicode-menu”` property

      “gtk-show-unicode-menu”    gboolean

Whether the context menus of entries and text views should offer to insert control characters.

`GtkSettings:gtk-show-unicode-menu` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Default value: FALSE

### The `“gtk-sound-theme-name”` property

      “gtk-sound-theme-name”     gchar *

The XDG sound theme to use for event sounds.

See the Sound Theme Specifications for more information on event sounds and sound themes.

GTK+ itself does not support event sounds, you have to use a loadable module like the one that comes with libcanberra.

Owner: GtkSettings

Flags: Read / Write

Default value: "freedesktop"

Since: 2.14

### The `“gtk-split-cursor”` property

      “gtk-split-cursor”         gboolean

Whether two cursors should be displayed for mixed left-to-right and right-to-left text.

Owner: GtkSettings

Flags: Read / Write

Default value: TRUE

### The `“gtk-theme-name”` property

      “gtk-theme-name”           gchar *

Name of theme to load.

Owner: GtkSettings

Flags: Read / Write

Default value: "Adwaita"

### The `“gtk-timeout-expand”` property

      “gtk-timeout-expand”       gint

Expand value for timeouts, when a widget is expanding a new region.

`GtkSettings:gtk-timeout-expand` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Allowed values: >= 0

Default value: 500

### The `“gtk-timeout-initial”` property

      “gtk-timeout-initial”      gint

Starting value for timeouts, when button is pressed.

`GtkSettings:gtk-timeout-initial` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Allowed values: >= 0

Default value: 500

### The `“gtk-timeout-repeat”` property

      “gtk-timeout-repeat”       gint

Repeat value for timeouts, when button is pressed.

`GtkSettings:gtk-timeout-repeat` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Allowed values: >= 0

Default value: 50

### The `“gtk-titlebar-double-click”` property

      “gtk-titlebar-double-click” gchar *

This setting determines the action to take when a double-click occurs on the titlebar of client-side decorated windows.

Recognized actions are minimize, toggle-maximize, menu, lower or none.

Owner: GtkSettings

Flags: Read / Write

Default value: "toggle-maximize"

Since: 3.14

### The `“gtk-titlebar-middle-click”` property

      “gtk-titlebar-middle-click” gchar *

This setting determines the action to take when a middle-click occurs on the titlebar of client-side decorated windows.

Recognized actions are minimize, toggle-maximize, menu, lower or none.

Owner: GtkSettings

Flags: Read / Write

Default value: "none"

Since: 3.14

### The `“gtk-titlebar-right-click”` property

      “gtk-titlebar-right-click” gchar *

This setting determines the action to take when a right-click occurs on the titlebar of client-side decorated windows.

Recognized actions are minimize, toggle-maximize, menu, lower or none.

Owner: GtkSettings

Flags: Read / Write

Default value: "menu"

Since: 3.14

### The `“gtk-toolbar-icon-size”` property

      “gtk-toolbar-icon-size”    GtkIconSize

The size of icons in default toolbars.

`GtkSettings:gtk-toolbar-icon-size` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Default value: GTK_ICON_SIZE_LARGE_TOOLBAR

### The `“gtk-toolbar-style”` property

      “gtk-toolbar-style”        GtkToolbarStyle

The size of icons in default toolbars.

`GtkSettings:gtk-toolbar-style` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Default value: GTK_TOOLBAR_BOTH_HORIZ

### The `“gtk-tooltip-browse-mode-timeout”` property

      “gtk-tooltip-browse-mode-timeout” gint

Amount of time, in milliseconds, after which the browse mode will be disabled.

See “gtk-tooltip-browse-timeout” for more information about browse mode.

`GtkSettings:gtk-tooltip-browse-mode-timeout` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Allowed values: >= 0

Default value: 500

Since: 2.12

### The `“gtk-tooltip-browse-timeout”` property

      “gtk-tooltip-browse-timeout” gint

Controls the time after which tooltips will appear when browse mode is enabled, in milliseconds.

Browse mode is enabled when the mouse pointer moves off an object where a tooltip was currently being displayed. If the mouse pointer hits another object before the browse mode timeout expires (see “gtk-tooltip-browse-mode-timeout”), it will take the amount of milliseconds specified by this setting to popup the tooltip for the new object.

`GtkSettings:gtk-tooltip-browse-timeout` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Allowed values: >= 0

Default value: 60

Since: 2.12

### The `“gtk-tooltip-timeout”` property

      “gtk-tooltip-timeout”      gint

Time, in milliseconds, after which a tooltip could appear if the cursor is hovering on top of a widget.

`GtkSettings:gtk-tooltip-timeout` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored.

Owner: GtkSettings

Flags: Read / Write

Allowed values: >= 0

Default value: 500

Since: 2.12

### The `“gtk-touchscreen-mode”` property

      “gtk-touchscreen-mode”     gboolean

When `TRUE`, there are no motion notify events delivered on this screen, and widgets can't use the pointer hovering them for any essential functionality.

`GtkSettings:gtk-touchscreen-mode` has been deprecated since version 3.4. and should not be used in newly-written code.

Generally, the behavior for touchscreen input should be performed dynamically based on `gdk_event_get_source_device()`.

Owner: GtkSettings

Flags: Read / Write

Default value: FALSE

Since: 2.10

### The `“gtk-visible-focus”` property

      “gtk-visible-focus”        GtkPolicyType

Whether 'focus rectangles' should be always visible, never visible, or hidden until the user starts to use the keyboard.

`GtkSettings:gtk-visible-focus` has been deprecated since version 3.10 and should not be used in newly-written code.

This setting is ignored

Owner: GtkSettings

Flags: Read / Write

Default value: GTK_POLICY_AUTOMATIC

Since: 3.2

### The `“gtk-xft-antialias”` property

      “gtk-xft-antialias”        gint

Whether to antialias Xft fonts; 0=no, 1=yes, -1=default.

Owner: GtkSettings

Flags: Read / Write

Allowed values: [-1,1]

Default value: -1

### The `“gtk-xft-dpi”` property

      “gtk-xft-dpi”              gint

Resolution for Xft, in 1024 * dots/inch. -1 to use default value.

Owner: GtkSettings

Flags: Read / Write

Allowed values: [-1,1048576]

Default value: -1

### The `“gtk-xft-hinting”` property

      “gtk-xft-hinting”          gint

Whether to hint Xft fonts; 0=no, 1=yes, -1=default.

Owner: GtkSettings

Flags: Read / Write

Allowed values: [-1,1]

Default value: -1

### The `“gtk-xft-hintstyle”` property

      “gtk-xft-hintstyle”        gchar *

What degree of hinting to use; hintnone, hintslight, hintmedium, or hintfull.

Owner: GtkSettings

Flags: Read / Write

Default value: NULL

### The `“gtk-xft-rgba”` property

      “gtk-xft-rgba”             gchar *

Type of subpixel antialiasing; none, rgb, bgr, vrgb, vbgr.

Owner: GtkSettings

Flags: Read / Write

Default value: NULL